com.ibm.openpages.api.workflow

## Interface IWFActivityNotification

-     public interface IWFActivityNotification

  Interface that represents workflow activity notification instances, created as required when the activity is triggered
  Since:
    8.2.0.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Id` | `getActivityInstanceId()` Get the ID of the activity instance
    `java.lang.String` | `getActivityLabel()` Get the localized name of the workflow task for this notification
    `java.lang.String` | `getActivityName()` Get the name of the workflow task for this notification
    `Id` | `getAssigneeId()` Get the ID of the individual assigned to the workflow task
    `java.util.Date` | `getDueDate()` Get the date the workflow task is due
    `int` | `getFirstNotification()` Get the number of days before the task's due date on which to send the first notification for the task
    `Id` | `getId()` Get the ID of the activity notification instance
    `java.util.Date` | `getLastNotificationSent()` Get the date of the last notification sent for this workflow task to the assignee and subscriber
    `int` | `getNotificationFrequency()` Get the frequency, in days, for sending notifications after the first one is sent
    `int` | `getOverdueNotificationFrequency()` Get the frequency, in days, to send notifications once the task is overdue
    `java.lang.String` | `getProcessLabel()` Get the localized name of the workflow process for this notification
    `java.lang.String` | `getProcessName()` Get the name of the workflow process associated with this notification
    `Id` | `getResourceId()` Get the Resource ID for which the workflow was started
    `Id` | `getSubscriberId()` Get the ID of the workflow task subscriber
    `boolean` | `isDueToday()` Determine whether this workflow task is due today
    `boolean` | `isEnabled()` Determine whether the task notification is enabled
    `boolean` | `isNotifyAssignees()` Get whether notifications should be sent to the task assignees
    `boolean` | `isNotifyOnDueDate()` Get whether a notification should be sent when the task becomes due
    `boolean` | `isNotifySubscribers()` Get whether notifications should be sent to the task subscribers
    `boolean` | `isOverdue()` Determine whether this workflow task is overdue

- - ### Method Detail

    - #### getId

          Id getId()

      Get the ID of the activity notification instance
      Returns:

    - #### getActivityInstanceId

          Id getActivityInstanceId()

      Get the ID of the activity instance
      Returns:

    - #### getResourceId

          Id getResourceId()

      Get the Resource ID for which the workflow was started
      Returns:

    - #### isEnabled

          boolean isEnabled()

      Determine whether the task notification is enabled
      Returns:

    - #### getFirstNotification

          int getFirstNotification()

      Get the number of days before the task's due date on which to send the first notification for the task
      Returns:
        the number of days prior to the due date for which to send the first notification

    - #### getNotificationFrequency

          int getNotificationFrequency()

      Get the frequency, in days, for sending notifications after the first one is sent
      Returns:
        the number of days between notifications

    - #### isNotifyOnDueDate

          boolean isNotifyOnDueDate()

      Get whether a notification should be sent when the task becomes due
      Returns:
        true to send a notification, false otherwise

    - #### getOverdueNotificationFrequency

          int getOverdueNotificationFrequency()

      Get the frequency, in days, to send notifications once the task is overdue
      Returns:
        the number of days between notifications

    - #### isNotifyAssignees

          boolean isNotifyAssignees()

      Get whether notifications should be sent to the task assignees
      Returns:
        true to send the notifications to the task assignees, false otherwise

    - #### isNotifySubscribers

          boolean isNotifySubscribers()

      Get whether notifications should be sent to the task subscribers
      Returns:
        true to send the notifications to the task subscribers, false otherwise

    - #### getLastNotificationSent

          java.util.Date getLastNotificationSent()

      Get the date of the last notification sent for this workflow task to the assignee and subscriber
      Returns:
        date for last notification

    - #### getDueDate

          java.util.Date getDueDate()

      Get the date the workflow task is due
      Returns:
        workflow task due date

    - #### getAssigneeId

          Id getAssigneeId()

      Get the ID of the individual assigned to the workflow task
      Returns:
        the assignee's ID

    - #### getSubscriberId

          Id getSubscriberId()

      Get the ID of the workflow task subscriber
      Returns:
        the subscriber's ID

    - #### isOverdue

          boolean isOverdue()

      Determine whether this workflow task is overdue
      Returns:
        true, if overdue; false otherwise

    - #### isDueToday

          boolean isDueToday()

      Determine whether this workflow task is due today
      Returns:
        true, if due today; false otherwise

    - #### getProcessName

          java.lang.String getProcessName()

      Get the name of the workflow process associated with this notification
      Returns:
        workflow process definition name

    - #### getProcessLabel

          java.lang.String getProcessLabel()

      Get the localized name of the workflow process for this notification
      Returns:
        localized name of the workflow process definition

    - #### getActivityName

          java.lang.String getActivityName()

      Get the name of the workflow task for this notification
      Returns:
        The name of the workflow task

    - #### getActivityLabel

          java.lang.String getActivityLabel()

      Get the localized name of the workflow task for this notification
      Returns:
        localized name of the workflow task

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.